> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List of Subsidiaries for a Business

> Obtains a comprehensive list of subsidiary companies and their relationships to the parent business.

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml get /v1/Business/Subsidiaries
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/Business/Subsidiaries:
    get:
      tags:
        - Business
      summary: Gets a list of Subsidiaries for a single Business.
      operationId: Business_GetSubsidiaries
      parameters:
        - name: id
          in: query
          description: Id of the Business to get Subsidiaries for.
          required: false
          schema:
            format: int32
            type: integer
        - name: CustomerId
          in: query
          description: >-
            If you are a Trade Provider you can use your CustomerId to idenfity
            a Business with the CustomerId parameter.
          required: false
          schema:
            type: string
        - name: SupplierId
          in: query
          description: >-
            If you have a Supplier List you can use your SupplierId to identify
            a Business with the SupplierId parameter.
          required: false
          schema:
            type: string
        - name: FirstRow
          in: query
          description: The first row to return.
          required: false
          schema:
            format: int32
            type: integer
        - name: LastRow
          in: query
          description: The last row to return.
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APISubsidiaryCollection_
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APISubsidiaryCollection_
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APISubsidiaryCollection_
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APISubsidiaryCollection_
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APISubsidiaryCollection_
      security:
        - Bearer: []
components:
  schemas:
    APIResponseContainer_APISubsidiaryCollection_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          description: ''
          type: array
          items:
            $ref: '#/components/schemas/APISubsidiary'
        ErrorCode:
          description: ''
          type: string
    APISubsidiary:
      description: Holds a Subsidiary for the API
      type: object
      properties:
        BusinessId:
          format: int32
          description: Business Id
          type: integer
        BusinessName:
          description: Business Name
          type: string
        Address1:
          description: Address 1
          type: string
        Address2:
          description: Address 2
          type: string
        CityName:
          description: City
          type: string
        StateProvinceName:
          description: State
          type: string
        PostalCode:
          description: Zip Code / Postal Code
          type: string
        CountryCode:
          description: Country
          type: string
        FRISKScore:
          format: int32
          description: FRISK Score
          type: integer
        PAYCEScore:
          format: int32
          description: PAYCE Score
          type: integer
        DBTIndex:
          format: int32
          description: Days Beyond Terms
          type: integer
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Enter the Session Key with the `Bearer ` prefix, e.g. "Bearer
        abcde12345".

````